> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tela.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Test Case

> Remove a test case

Delete a test case by its unique identifier.

## Delete a Test Case

<CodeGroup>
  ```typescript theme={null}
  const API_KEY = process.env.TELA_API_KEY;
  const testCaseId = 'test_case_uuid';

  const response = await fetch(`https://api.tela.ai/test-case/${testCaseId}`, {
    method: 'DELETE',
    headers: {
      'Authorization': `Bearer ${API_KEY}`,
      'Content-Type': 'application/json'
    }
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python theme={null}
  import requests

  API_KEY = os.getenv('TELA_API_KEY')
  test_case_id = 'test_case_uuid'

  response = requests.delete(
      f'https://api.tela.ai/test-case/{test_case_id}',
      headers={
          'Authorization': f'Bearer {API_KEY}',
          'Content-Type': 'application/json'
      }
  )

  print(response.json())
  ```

  ```javascript theme={null}
  const API_KEY = process.env.TELA_API_KEY;
  const testCaseId = 'test_case_uuid';

  fetch(`https://api.tela.ai/test-case/${testCaseId}`, {
    method: 'DELETE',
    headers: {
      'Authorization': `Bearer ${API_KEY}`,
      'Content-Type': 'application/json'
    }
  })
  .then(response => response.json())
  .then(data => {
    console.log(data);
  })
  .catch(error => {
    console.error('Error:', error);
  });
  ```
</CodeGroup>

### Parameters

| Name | Type   | Required | Description                         |
| ---- | ------ | -------- | ----------------------------------- |
| `id` | string | Yes      | The UUID of the test case to delete |

### Response

A successful deletion will return a 200 OK status. The test case will be marked as deleted but may still be retrievable with the deletedAt field populated.


## OpenAPI

````yaml DELETE /test-case/{id}
openapi: 3.0.1
info:
  title: Tela API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tela.com
security: []
paths:
  /test-case/{id}:
    delete:
      description: Remove a test case
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Test case deleted successfully

````